Send an MCP request
curl --request POST \
--url https://www.fluenterp.com/api/v1/agents/{agent_id}/mcp \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/list"
}
'import requests
url = "https://www.fluenterp.com/api/v1/agents/{agent_id}/mcp"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "tools/list"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', id: 1, method: 'tools/list'})
};
fetch('https://www.fluenterp.com/api/v1/agents/{agent_id}/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": "<string>",
"result": "<unknown>",
"error": {
"code": 123,
"message": "<string>",
"data": "<unknown>"
}
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}{
"detail": "Agent not found",
"status": 404
}Model Context Protocol
Send an MCP request
Handles a stateless Model Context Protocol Streamable HTTP request. The body is a JSON-RPC MCP message. Agent-scoped OAuth tokens and API keys are supported.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
mcp
Send an MCP request
Authorizations
ApiKeyBearerCredential
A Fluent API key beginning with fl-.
Path Parameters
Fluent agent ID.
Body
application/json